<?php
	ob_start('ob_gzhandler');
	require_once('config.php');
  	require_once('config_ini.php');
	
	$nrocombo = "";
	$codempresa = 0;
	$nrofoto = 0;
	if(isset($_GET['codempresa'])){
		$codempresa = $_GET['codempresa'];
	} else {
		echo("Nao foi passado o parametro do Codigo da Empresa para baixar a foto!");
		die();
	}	
	if(isset($_GET['nrocombo'])){
		$nrocombo = $_GET['nrocombo'];
	} else {
		echo("Nao foi passado o parametro do Codido do Produto para baixar a foto!");
		die();
	}
	if(isset($_GET['nrofoto'])){
		$nrofoto = $_GET['nrofoto'];
	} 
	
	$sql = "select LOCALDOCS from EMPRESAS where CODEMPRESA = ".$codempresa;
  	$query = ibase_query($conexao, $sql) or die(ibase_errmsg());
  	$row = ibase_fetch_row($query);

	$localdocs = "";
  	if ($row == null) {
		echo("Nao foi possivel localizar o Local Docs da Empresa para baixar a foto!");
		die();
  	} else {
		$localdocs = $row[0];
	}
	
	$sql = "select PF.CAMINHO from COMBO_FOTOS PF where PF.nrocombo = '".$nrocombo."'";
	if ($nrofoto > 0){
		$sql .= " and PF.NROFOTO = ".$nrofoto; 
	}
  	$query = ibase_query($conexao, $sql) or die(ibase_errmsg());
  	$row = ibase_fetch_row($query);

	$caminho = "";
  	if ($row == null) {
		echo("Nao foi possivel localizar o Caminho da Foto para baixar a foto!");
		die();
  	} else {
		$caminho = $row[0];
	}
	

	$ext = strtolower(substr(strrchr($caminho, "."), 1));

	switch($ext){
		case "png": $ctype="image/png";break;
		case "jpg": $ctype="image/jpg";break;
		case "jpeg": $ctype="image/jpeg";break;
	}
	
	header('Content-Type: '.$ctype);
	
	$foto = $localdocs."\\Combo Fotos\\".$caminho; 

	$file = @file_get_contents($foto);
	if($file !== false){
		echo $file;
	} else {
		header('Content-Type: text/html');
		echo("ERROR 404");
	}
	
		
?>